unit uLoadInputFile;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, GR32_Image;

type
  TFormLoadInputFile = class(TForm)
    TopImage: TImage32;
    LabelGameDescription: TLabel;
    GameIcon: TImage;
    InputFiles: TListView;
    InputFilesFolder: TEdit;
    ButtonOk: TButton;
    ButtonCancel: TButton;
    RecordInputFilename: TEdit;
    ButtonClearRecordInputFilename: TButton;
    procedure ButtonCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ButtonOkClick(Sender: TObject);
    procedure ButtonClearRecordInputFilenameClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    MsgResult: Integer;
  end;

var
  FormLoadInputFile: TFormLoadInputFile;

implementation

{$R *.dfm}

uses uMain;

procedure TFormLoadInputFile.ButtonCancelClick(Sender: TObject);
begin
  MsgResult:= mrCancel;
  Close;
end;

procedure TFormLoadInputFile.FormShow(Sender: TObject);
begin
  FormMain.LoadTopBar(TopImage, 'input.png');
  FormMain.IL_StandardIconsLarge.GetIcon(FormMain.GameInfoData.eImageIndex, GameIcon.Picture.Icon);
  LabelGameDescription.Caption:= FormMain.GameInfoData.eDescription;
end;

procedure TFormLoadInputFile.ButtonOkClick(Sender: TObject);
begin
  MsgResult:= mrOk;
  Close;
end;

procedure TFormLoadInputFile.ButtonClearRecordInputFilenameClick(
  Sender: TObject);
begin
  RecordInputFilename.Clear;
end;

end.
